/*
 
  copyright (c) 2004, Michal Salaban <emes@pld-linux.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2 as
  published by the Free Software Foundation (see file COPYING for details).

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
*/

/* $Id: getstats.h,v 1.4 2004/02/26 20:11:09 emes Exp $ */

#define         BUFSIZE     512

#define STA_LA1     0
#define STA_LA5     1
#define STA_LA15    2
#define STA_MFREE   3
#define STA_MUSED   4
#define STA_SFREE   5
#define STA_SUSED   6
#define STA_LAST    7

typedef enum {
    DOUBLE,
    SIZE
} vartype;

typedef struct {
    char            *label;
    vartype         type;

    union {
        double      dbl;
        long int    siz;
    } val;
    
} statval;

statval         stat [STA_LAST];

void fetch_la ();
void fetch_mem ();
void open_files ();

char * fto_newline (char *b);
char * fto_notspace (char *b);
char * fto_space (char *b);

/* $Id: getstats.h,v 1.4 2004/02/26 20:11:09 emes Exp $ */
